This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 242909 - Grub not updated properly on FC6 to F7 upgrade with xen kernels
Grub not updated properly on FC6 to F7 upgrade with xen kernels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 08:38 EDT by Mark Haney
Modified: 2008-06-16 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Haney 2007-06-06 08:38:51 EDT
Description of problem:
On an upgrade to F7 from FC6, if the xen kernel is installed (and listed first
in grub.conf) then after the upgrade, the FC6 xen kernel is still listed and a
reboot fails.  You must either edit grub manually or reboot and select the
correct kernel from the menu.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
Happened on both systems with xen and FC6 upgraded to F7.

Steps to Reproduce:
1.install Xen on FC6 system
2.upgrade to F7
3.reboot -- fails
  
Actual results:
Expected grub to be updated properly to remove the previous version xen kernel
(at the very least move it down in boot priority).


Expected results:
Should be able to reboot into latest xen kernel automatically from grub without
manual editing or selecting from menu.


Additional info:
Comment 1 Mark Haney 2007-06-08 08:33:34 EDT
I just got around to do several upgrades from FC6 to F7 at home on my i386
systems (intel p4's) and one of my AMD Athlon 64 boxes.  In each case, and
WITHOUT any xen kernels ever installed on those systems), grub failed to update
properly and I had to remove the existing default boot option pointing to the
old FC6 kernel.

So, this isn't a problem with just xen kernels and upgrading.  It seems to be
upgrading in general.

Comment 2 Bill McGonigle 2007-06-11 00:23:38 EDT
FWIW, I've got grub not updating kernels under xen on fc6 from 2.6.18 to 2.6.20.

#sudo /sbin/grub-install /dev/md0:

Installation finished. No error reported.
This is the contents of the device map /boot/grub/device.map.
Check if this is correct or not. If any of the lines is incorrect,
fix it and re-run the script `grub-install'.

# this device map was generated by anaconda
(hd0)     /dev/sda
(hd1)     /dev/sdb



menu.lst:

default=0
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Fedora Core (2.6.20-1.2948.fc6xen)
        root (hd0,0)
        kernel /xen.gz-2.6.20-1.2948.fc6
        module /vmlinuz-2.6.20-1.2948.fc6xen ro root=/dev/md2
        module /initrd-2.6.20-1.2948.fc6xen.img
title Fedora Core (2.6.18-1.2869.fc6xen)
        root (hd0,0)
        kernel /xen.gz-2.6.18-1.2869.fc6
        module /vmlinuz-2.6.18-1.2869.fc6xen ro root=/dev/md2
        module /initrd-2.6.18-1.2869.fc6xen.img

The grub screen doesn't show 2.6.20 when booting.  SELinux is disabled.
Comment 3 Bug Zapper 2008-05-14 08:51:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 21:27:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.